runtimeestimator(1)

NAME
runtimeestimator - Batch Job Runtime Estimator

SYNOPSIS
runtimeestimator start_file total_runs current_run

DESCRIPTION
runtimeestimator is a simple program to estimate the total runtime of a batch job consisting of multiple runs. Upon initialisation, it initialises a start file with a time stamp. Each time a run is completed, it prints out the estimated total runtime.

ARGUMENTS
The following arguments have to be provided:

start_file
    The name of the start file.

total_runs
    The total number of runs.

current_run
    The current run number that has just been completed.

EXIT STATUS
The runtimeestimator tool exits with 0 on success, and >0 in case of an error.

EXAMPLES
Some runtimeestimator usage examples:

runtimeestimator runtime.dat 100 0
    Initialize runtime estimation (i.e. before the first run). The start file "runtime.dat" is created.

runtimeestimator runtime.dat 100 1
    Completed run 1 of 100 (i.e. the first run).

runtimeestimator runtime.dat 100 5
    Completed run 5 of 100.

runtimeestimator runtime.dat 100 100
    Completed run 100 of 100 (i.e. all runs are complete).

SEE ALSO
getabstime(1), netperfmeter(1)

NOTES
This program is part of NetPerfMeter. The latest version of NetPerfMeter can be found on the NetPerfMeter Homepage at NetPerfMeter Homepage: https://www.nntb.no/~dreibh/netperfmeter/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh